Bug 202102 - native panel resolution gone again with latest update
Summary: native panel resolution gone again with latest update
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-08-10 19:46 UTC by Jurgen Kramer
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-29 17:41:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (64.20 KB, text/plain)
2006-08-10 19:46 UTC, Jurgen Kramer
no flags Details
Xorg.0.log of previous i810 driver version (46.19 KB, text/plain)
2006-08-10 19:48 UTC, Jurgen Kramer
no flags Details
Xorg.0.log from "intel" driver (24.79 KB, text/plain)
2006-08-11 07:51 UTC, Jurgen Kramer
no flags Details
full Xorg.0.log from 24 aug 2006 (65.54 KB, text/plain)
2006-08-24 17:51 UTC, Jurgen Kramer
no flags Details
Xorg.0.log using intel driver (46.37 KB, text/plain)
2006-08-29 17:29 UTC, Jurgen Kramer
no flags Details

Description Jurgen Kramer 2006-08-10 19:46:12 UTC
Created attachment 133978 [details]
Xorg.0.log

Comment 1 Jurgen Kramer 2006-08-10 19:46:12 UTC
Description of problem:
With the latest version of the driver the native resolution of 1280x800 is gone
again. Until the previous version it worked fine.

Version-Release number of selected component (if applicable):
xorg-x11-drv-i810-1.6.4-3.fc6

How reproducible:
100%

Steps to Reproduce:
1. Start in X
2. Screen does not look sharp
3. xvidtune shows running at 1024x768 instead of 1280x800
  
Actual results:
Running at 1024x768

Expected results:
Running at native 1280x768

Additional info:
This is on a MacBook (945GM). The panel is correctly detected but the driver is
not using the found resolution from EDID.
Native resolution was available until this version.

It seems that DRM is not working anymore as well.

Comment 2 Jurgen Kramer 2006-08-10 19:48:05 UTC
Created attachment 133979 [details]
Xorg.0.log of previous i810 driver version

Comment 3 Adam Jackson 2006-08-10 23:35:10 UTC
Does it work if you switch to Driver "intel" ?

Comment 4 Jurgen Kramer 2006-08-11 07:51:36 UTC
Created attachment 134005 [details]
Xorg.0.log from "intel" driver

Comment 5 Jurgen Kramer 2006-08-11 08:00:49 UTC
Hmm my comment for the "intel" driver did not come through. The "intel" driver
fails to start X.


Comment 6 Jurgen Kramer 2006-08-15 18:22:37 UTC
xorg-x11-drv-i810-1.6.5-2.fc6 does not resolve the problem.

Comment 7 Jurgen Kramer 2006-08-18 12:11:27 UTC
FYI: xorg-x11-drv-i810-1.6.5-3.fc6 does not resolve the problem.

Comment 8 Jurgen Kramer 2006-08-24 17:50:21 UTC
xorg-x11-drv-i810-1.6.5-4.fc6 seems to detect everything properly but still does
not offer the native 1280x800:

(II) I810(0): Not using mode "1280x800" (no mode of this name)

full Xorg.0.log attached.

BTW 915resolution no longer works with the latest versions of the driver.


Comment 9 Jurgen Kramer 2006-08-24 17:52:01 UTC
Created attachment 134840 [details]
full Xorg.0.log from 24 aug 2006

Comment 10 Adam Jackson 2006-08-28 21:14:26 UTC
Okay, think I have this working again in the intel driver in 1.6.5-5.  Can you test?

Comment 11 Jurgen Kramer 2006-08-29 17:29:14 UTC
Created attachment 135156 [details]
Xorg.0.log using intel driver

Yes!! Works again with the intel driver, not with i810. Looks 100% better.
I've attached Xorg.0.log for reference.
Thanks.

Comment 12 Adam Jackson 2006-08-29 17:40:31 UTC
Resolved in 1.6.5-5.  Thanks for testing!


Note You need to log in before you can comment on or make changes to this bug.